Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 31 Aug 2014, 00:26
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Lucid 525 Retro-2.6.30.5
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 3 Posts_count   Goto page: 1, 2, 3 Next
Author Message
James C


Joined: 26 Mar 2009
Posts: 5722
Location: Kentucky

PostPosted: Wed 11 May 2011, 00:03    Post_subject:  Lucid 525 Retro-2.6.30.5
Sub_title: hardware compatibility of 4.31 with all the latest Lucid apps
 

A manual rebuilding of Lucid 525 with the 2.6.30.5 kernel and drivers from the reliable Puppy 4.31.This release is a little larger due to including all of the 4.31 drivers....in particular there are lots of analog modem drivers included.Should be good for those users on dial-up.


New Upload 08-15-2011

Lucid Retro 525-2.6.30.5-v4 now boots straight to the desktop and the bug for full installs is fixed.

http://www.smokey01.com/JamesC/uploads/lucid-retro-525-2.6.30.5-v4/lupu-525-2.6.30.5-v4.iso

md5

760e0e61fa24eb5f80d9c31a05d6b611 lupu-525-2.6.30.5-v4.iso



Lucid 525 Retro-2.6.30.5 iso original release..... use the one above.
EDIT: Dead link removed


This should provide all the hardware compatibility (and extra drivers) and stability from Puppy 4.31 combined with all of the new up-to-date applications from Lucid 525.

Thanks go to everyone involved in the development of Lucid and especially 01micko and playdayz, for their help and support in this little side project, and smokey01 for hosting.

PETS

Billtoo has made a firefox-4.0.1-retro525 pet, his post and a screenshot
http://www.murga-linux.com/puppy/viewtopic.php?p=522510#522510

Quote:
After installing the pet run fixmenus in the terminal and the proper firefox entry will show up in the internet menu.

The pet works in the regular lucid 525 too.


download link
EDIT: dead link removed

Note:
During some testing 01micko noted that the Nvidia drivers for this kernel(2.6.30.5) do not work in this release because of the newer Xorg in Lucid.
lucid retro 1.png
 Description   
 Filesize   75.18 KB
 Viewed   10963 Time(s)

lucid retro 1.png

lucid retro.png
 Description   
 Filesize   308.99 KB
 Viewed   24107 Time(s)

lucid retro.png


Edited_times_total
Back to top
View user's profile Send_private_message 
James C


Joined: 26 Mar 2009
Posts: 5722
Location: Kentucky

PostPosted: Wed 11 May 2011, 00:06    Post_subject:  

Here's a thread with even more drivers for the 2.6.30.5 kernel

http://www.murga-linux.com/puppy/viewtopic.php?t=47267
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Wed 11 May 2011, 01:22    Post_subject:  

Put a link on the wiki Smile
http://puppylinux.org/wikka/HomePage

It might well work for me (having problems with browser and flash)
as IcePuppy does but 5.3 Alpha2 will hopefully be out today . . .
Hope you get users and feedback especially from those who have stayed with
4.3.1 and will now be able to enjoy the enhancements of straight to desktop,
quickpet, control panel etc

ah developers what would we do without them? Cool

So Many Puppys
We iz Kennel

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
01micko


Joined: 11 Oct 2008
Posts: 7794
Location: qld

PostPosted: Wed 11 May 2011, 01:32    Post_subject:  

Nice James Smile

Mirror:
http://www.brainwavedesigncentral.net/micko01/stuff/puppy/lupu/main/lupu-525-2.6.30.5.iso



Nvidia 260 pet
http://www.brainwavedesigncentral.net/micko01/stuff/puppy/lupu/nvidia-260.19.21-k2.6.30.5-lupu.pet 16M

more nvidia drivers soon...

_________________
Woof Mailing List | keep the faith Cool |

Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
stu90


Joined: 25 Feb 2010
Posts: 1401
Location: England. Dell Inspiron 1501. Dpup

PostPosted: Wed 11 May 2011, 05:54    Post_subject:  

Hi James,
First boot for me goes to xorgwizard probe - once i run through every thing is ok.
Sound
Wifi
CPU scailing
all work - will do some more testing for flash and the like.

Cheers.
Back to top
View user's profile Send_private_message 
Billtoo


Joined: 07 Apr 2009
Posts: 2086
Location: Ontario Canada

PostPosted: Wed 11 May 2011, 08:43    Post_subject: Lucid 525 Retro-2.6.30.5  

I did a frugal install.
I installed the xorg_high driver in quickpet.

Wed 11 May 2011 Operating System: Lucid Puppy-525 Linux 2.6.30.5
0.0 VGA compatible controller: ATI Technologies Inc RV530 [Radeon X1600]
oem: ATI ATOMBIOS product: RV530 01.00

X Server: Xorg Driver: radeon
X.Org version: 1.7.6
dimensions: 1440x900 pixels (380x238 millimeters)
depth of root window: 24 planes

direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
OpenGL vendor string: DRI R300 Project
OpenGL renderer string: Mesa DRI R300 (RV530 71C2) 20090101 x86/MMX/SSE2 TCL
OpenGL version string: 1.5 Mesa 7.7.1

Intel(R) Core(TM)2 Duo CPU E4500
Core 0: 2200 1: 2200 MHz

...the above also recorded at '/tmp/root/report-video-glx'.

# glxgears
15171 frames in 5.0 seconds
15206 frames in 5.0 seconds
15212 frames in 5.0 seconds

No problems here.
-------------------------------------------------------------------------------
While in 525 retro I used gparted + manual install to usb flash drive +
grub4dos to make a flash drive install, now running on netbook:
Booted to xorgwizard then desktop.

Loaded xorg_high from quickpet:

Wed 11 May 2011 Operating System: Lucid Puppy-525 Linux 2.6.30.5
5.0 VGA compatible controller: ATI Technologies Inc M880G [Mobility Radeon HD 4200]
oem: ATI ATOMBIOS product: RS880M 01.00

X Server: Xorg Driver: radeon
X.Org version: 1.7.6
dimensions: 1024x600 pixels (270x158 millimeters)
depth of root window: 24 planes

direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
OpenGL vendor string: Mesa Project
OpenGL renderer string: Software Rasterizer
OpenGL version string: 2.1 Mesa 7.7.1

AMD Athlon(tm) II Neo K125 Processor
Core 0: 1695 MHz

...the above also recorded at '/tmp/root/report-video-glx'.

Videos at cnn play perfectly but nexuiz is unplayable, need the
proprietary driver for that.

The ethernet and builtin wireless adapters weren't recognized on this
netbook but my trusty linksys usb wireless adapter works fine.

I installed the Audacious pets that I made for Dpup 485.

Retro is working well Smile

Edit: I installed the devx with quickpet,compiled a game + SDL and SDL mixer, installed google earth in quickpet (on computer 1) and it's working fine.
image-2.jpg
 Description   
 Filesize   31.55 KB
 Viewed   10748 Time(s)

image-2.jpg

Back to top
View user's profile Send_private_message 
Billtoo


Joined: 07 Apr 2009
Posts: 2086
Location: Ontario Canada

PostPosted: Wed 11 May 2011, 19:14    Post_subject: Lucid 525 Retro-2.6.30.5
Sub_title: ati proprietary driver
 

I had the kernel_src-2.6.30.5-patched-20100904.sfs on one of my hard
drives so I installed that + the lupu_devx_525.sfs on a fresh frugal
install on the netbook (I broke the first one somehow) and then
installed the ati-driver-installer-11-5-x86.x86_64.run proprietary
driver:

Wed 11 May 2011 Operating System: Lucid Puppy-525 Linux 2.6.30.5
5.0 VGA compatible controller: ATI Technologies Inc M880G [Mobility Radeon HD 4200]
oem: ATI ATOMBIOS product: RS880M 01.00

X Server: Xorg Driver: (II) glx: vendor=FireGL - ATI Technologies Inc. (II) Module fglrx: vendor=FireGL - ATI Technologies Inc. (II) Module fglrxdrm: vendor=FireGL - ATI Technologies Inc.
X.Org version: 1.7.6
dimensions: 1024x600 pixels (270x158 millimeters)
depth of root window: 24 planes

direct rendering: Yes
server glx vendor string: ATI
server glx version string: 1.4
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Mobility Radeon HD 4200 Series
OpenGL version string: 3.3.10750 Compatibility Profile Context

AMD Athlon(tm) II Neo K125 Processor
Core 0: 1695 MHz

...the above also recorded at '/tmp/root/report-video-glx'.

# glxgears
8481 frames in 5.0 seconds
8853 frames in 5.0 seconds
8870 frames in 5.0 seconds
8868 frames in 5.0 seconds

It's working better now Smile

Edit:I've discovered that the kernel soucre sfs that I'm using isn't the proper one for this kernel, it works for ati just fine but when I tried to compile the Nvidia proprietary driver it gives errors.

Will you be providing the kernelsource.sfs for download?

Thanks
Back to top
View user's profile Send_private_message 
James C


Joined: 26 Mar 2009
Posts: 5722
Location: Kentucky

PostPosted: Thu 12 May 2011, 00:08    Post_subject:  

stu90 wrote:
Hi James,
First boot for me goes to xorgwizard probe - once i run through every thing is ok.
Sound
Wifi
CPU scailing
all work - will do some more testing for flash and the like.

Cheers.


I built 2 versions of Lucid Retro, straight-to-desktop and xorgwizard....... I decided to go with the latter.More retro. Smile

Thanks for testing.
Back to top
View user's profile Send_private_message 
James C


Joined: 26 Mar 2009
Posts: 5722
Location: Kentucky

PostPosted: Thu 12 May 2011, 00:14    Post_subject:  

Lobster wrote:
Put a link on the wiki Smile
http://puppylinux.org/wikka/HomePage

It might well work for me (having problems with browser and flash)


Thanks for the link. Smile

If 4.31 worked well for you then Lucid Retro should too, the base kernel and drivers are unmodified from 4.31.Hope it works for you.
Back to top
View user's profile Send_private_message 
James C


Joined: 26 Mar 2009
Posts: 5722
Location: Kentucky

PostPosted: Thu 12 May 2011, 00:24    Post_subject: Re: Lucid 525 Retro-2.6.30.5
Sub_title: ati proprietary driver
 

Billtoo wrote:

Edit:I've discovered that the kernel soucre sfs that I'm using isn't the proper one for this kernel, it works for ati just fine but when I tried to compile the Nvidia proprietary driver it gives errors.

Will you be providing the kernelsource.sfs for download?


I just pulled the unmodified 2.6.30.5 kernel and drivers out of 4.31.........no changes.Maybe 01micko can help shed a little light since he's planning to compile some Nvidia drivers.
Back to top
View user's profile Send_private_message 
01micko


Joined: 11 Oct 2008
Posts: 7794
Location: qld

PostPosted: Thu 12 May 2011, 00:48    Post_subject:  

Billtoo

Nvidia installer spits the dummy when it finds out the kernel has not been compiled with the gcc version that's in the puppy. There is a way around this, there is a help option when you invoke the NVIDIA-Linux[whateverversion]pkg.run file, just append " --help". It gives you a list of options, and an advanced help option. IIRC there is an option to ignore the gcc error. That *should* work.

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
Billtoo


Joined: 07 Apr 2009
Posts: 2086
Location: Ontario Canada

PostPosted: Thu 12 May 2011, 01:22    Post_subject: Re: Lucid 525 Retro-2.6.30.5
Sub_title: ati proprietary driver
 

James C wrote:


I just pulled the unmodified 2.6.30.5 kernel and drivers out of 4.31.........no changes.Maybe 01micko can help shed a little light since he's planning to compile some Nvidia drivers.


I tried again using kernel_src-2.6.30.5-patched.sfs4.sfs which is
older than the one I was using and this time the Nvidia driver did
compile and hardware acceleration is working.
Anyhow, guns are blazing in nexuiz with your 525 retro. Smile
Back to top
View user's profile Send_private_message 
Billtoo


Joined: 07 Apr 2009
Posts: 2086
Location: Ontario Canada

PostPosted: Thu 12 May 2011, 01:27    Post_subject:  

01micko wrote:
Billtoo

Nvidia installer spits the dummy when it finds out the kernel has not been compiled with the gcc version that's in the puppy. There is a way around this, there is a help option when you invoke the NVIDIA-Linux[whateverversion]pkg.run file, just append " --help". It gives you a list of options, and an advanced help option. IIRC there is an option to ignore the gcc error. That *should* work.


I was using the wrong kernel source sfs, I found the link to Barry's kernel sources and tried the other one and it worked.Report-video is giving wrong information but hardware acceleration is working now.

Thanks.
Back to top
View user's profile Send_private_message 
01micko


Joined: 11 Oct 2008
Posts: 7794
Location: qld

PostPosted: Thu 12 May 2011, 03:31    Post_subject:  

Ah yes, there are 3 sources.. the earliest one is the correct one sept 9, 2009. I think dpup had a similar issue with not knowing which was which. You need to cross check the /etc/modules/DOTconfig file. Funny though nvidia-270 built ok for me but would not run, symbol lookup error with libwfb, but nvidia-260 works just fine.
_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
Billtoo


Joined: 07 Apr 2009
Posts: 2086
Location: Ontario Canada

PostPosted: Sat 14 May 2011, 01:24    Post_subject: Lucid 525 Retro-2.6.30.5
Sub_title: firefox 4.0.1
 

@James C

I made a firefox-4.0.1-retro525 pet, I followed the instructions playdayz gave in the howto thread, except not for any specific processor.
It's 14mb and too big to upload unless you have another way that I can get it to you?
image-2.jpg
 Description   
 Filesize   57.96 KB
 Viewed   4330 Time(s)

image-2.jpg

Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 3 Posts_count   Goto page: 1, 2, 3 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1088s ][ Queries: 13 (0.0195s) ][ GZIP on ]